/**
 * Copyright 2023 BWI GmbH
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

.bwi_PollVotesPanel {
    margin-top: calc($spacing-12 * 2);
    margin-left: $spacing-12;
    margin-right: $spacing-12;
}

.bwi_PollVotesPanel_question {
    display: flex;
    flex-direction: column;
}

.bwi_PollVotesPanel_voteSummary {
    font-size: 12px;
    opacity: 0.5;
}

.bwi_PollVotesPanel_answer {
    margin-top: 4rem;
}

.bwi_PollVotesPanel_answerHeader {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
}

.bwi_PollVotesPanel_answerText {
    font-weight: bold;
    margin-right: $spacing-12;
}

.bwi_PollVotesPanel_answerVoteBadge {
    background-color: rgba(141, 151, 165, 0.2); /*  TODO: Replace with var */
    font-size: 12px;
    text-align: center;
    display: flex;
    align-items: center;
    padding: 5px 5px;
    border-radius: 5px;
    column-gap: 5px;
}

.bwi_PollVotesPanel_answerVoteBadgeText {
    opacity: 0.7;
    white-space: nowrap;
}

.bwi_PollVotesPanel_voteList {
    margin-top: 1rem;
}

.bwi_PollVotesPanel_loadMore {
    margin-top: 1rem;
    opacity: 0.5;
}

.bwi_MPollBody_viewVotes {
    margin-left: 6px;
    color: $links;
}
.bwi_MPollBody_viewVotes:hover {
    text-decoration: underline;
}
